Tenant credential
curl --request GET 'https://api.printools.io/v1/quotes/11111111-2222-3333-4444-555555555555/data' \
--header 'X-API-Key: $PRINTOOLS_API_KEY'import requests
url = "https://api.printools.io/v1/quotes/{quoteId}/data"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.printools.io/v1/quotes/{quoteId}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "OK",
"data": {
"quote": {
"id": "<string>",
"status": "<string>",
"subtotalExGst": 123,
"gstAmount": 123,
"totalIncGst": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groups": [
{
"id": "<string>",
"quoteId": "<string>",
"name": "<string>",
"totalQuantity": 123,
"sortOrder": 123,
"rollUpDecoration": true,
"rollUpSetup": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lines": [
{
"id": "<string>",
"quoteGroupId": "<string>",
"lineType": "Garment",
"productName": "<string>",
"quantity": 123,
"unitPriceExGst": 123,
"sortOrder": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"quoteLineId": "<string>",
"quantity": 123,
"unitPriceExGst": 123,
"markupSource": "group",
"isCustomLine": true,
"showOnDocuments": true,
"sortOrder": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"size": "<string>",
"colour": "<string>",
"buyPrice": 123,
"extraCost": 123,
"markupType": "percentage",
"markupValue": 123
}
],
"garmentCatalogueItemId": "<string>",
"productSku": "<string>",
"title": "<string>",
"description": "<string>",
"valueType": "Flat",
"percentage": 123,
"discountValueType": "Flat",
"discountPercentage": 123,
"customImageUrl": "<string>"
}
],
"decorations": [
{
"id": "<string>",
"quoteGroupId": "<string>",
"quantity": 123,
"baseUnitCost": 123,
"baseSetupCost": 123,
"includeSetupCost": true,
"markupSource": "group",
"setupMarkupSource": "group",
"rollUp": true,
"rollUpSetup": true,
"showOnDocuments": true,
"colours": [
{
"name": "<string>",
"isBase": true
}
],
"sortOrder": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"decorationItemId": "<string>",
"method": "ScreenPrinting",
"position": "<string>",
"setupCost": 123,
"unitCost": 123,
"markupType": "percentage",
"markupValue": 123,
"setupMarkupType": "percentage",
"setupMarkupValue": 123,
"description": "<string>",
"widthCm": 123,
"lengthCm": 123,
"necklineDropCm": 123,
"screenCount": 123,
"screenMeshGrade": "<string>",
"colourCount": 123,
"specialInstructions": "<string>",
"artworkFileUrl": "<string>",
"separationFileUrl": "<string>"
}
]
}
],
"quoteRef": "<string>",
"reference": "<string>",
"clientId": "<string>",
"contactId": "<string>",
"shippingAddressId": "<string>",
"salesRepEmail": "<string>",
"deliveryMethod": "<string>",
"deliveryDate": "2023-12-25",
"productionDeadline": "2023-12-25",
"invoiceDueDate": "2023-12-25",
"notes": "<string>",
"taxRateId": "<string>",
"taxName": "<string>",
"taxRatePct": 123,
"mockId": "<string>",
"jobId": "<string>",
"jobRef": "<string>",
"invoiceId": "<string>",
"invoiceStatus": "<string>",
"sentToEmail": "<string>",
"sentAt": "2023-11-07T05:31:56Z"
},
"customer": {
"id": "<string>",
"kind": "Business",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contacts": [
{
"id": "<string>",
"customerId": "<string>",
"isPrimary": true,
"fullName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"includeInAccountingEmails": true,
"roleTitle": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>"
}
],
"addresses": [
{
"id": "<string>",
"customerId": "<string>",
"kind": "Billing",
"country": "<string>",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fullAddress": "<string>",
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"state": "<string>",
"postcode": "<string>"
}
],
"name": "<string>",
"businessName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"abn": "<string>",
"tier": "<string>",
"notes": "<string>",
"portalToken": "<string>",
"defaultBillingAddressId": "<string>",
"defaultShippingAddressId": "<string>",
"primaryContactId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
},
"mocks": [
{
"id": "<string>",
"status": "<string>",
"version": 123,
"layers": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"jobId": "<string>",
"quoteId": "<string>",
"quoteGroupId": "<string>",
"quoteLineId": "<string>",
"name": "<string>",
"garmentAssetId": "<string>",
"baseImageUrl": "<string>",
"parentMockId": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvedByName": "<string>",
"approvedByEmail": "<string>",
"rejectionReason": "<string>",
"previewUrl": "<string>"
}
],
"invoices": [
{
"id": "<string>",
"quoteId": "<string>",
"invoiceRef": "<string>",
"currency": "<string>",
"subtotalCents": 123,
"gstCents": 123,
"amountCents": 123,
"status": "<string>",
"lineItemsSnapshot": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"clientId": "<string>",
"contactId": "<string>",
"dueDate": "2023-12-25",
"notes": "<string>",
"pinchPaymentLinkUrl": "<string>",
"pinchPaymentId": "<string>",
"xeroInvoiceId": "<string>",
"qboSalesReceiptId": "<string>",
"xeroPaymentId": "<string>",
"xeroInvoiceUrl": "<string>",
"qboInvoiceId": "<string>",
"qboPaymentId": "<string>",
"qboInvoiceUrl": "<string>",
"paidMethod": "<string>",
"paidReference": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"pinchRefundId": "<string>",
"refundedAmountCents": 123,
"refundReason": "<string>",
"refundedAt": "2023-11-07T05:31:56Z",
"voidReason": "<string>",
"voidedAt": "2023-11-07T05:31:56Z",
"paymentClaimedAt": "2023-11-07T05:31:56Z",
"paymentClaimedMethod": "<string>",
"paymentClaimedReference": "<string>",
"paymentClaimedNote": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}Quotes
One quote and everything hanging off it, in one call
Requires ALL of the scopes quotes.read, customers.read, garments.read, decorations.read.
GET
/
v1
/
quotes
/
{quoteId}
/
data
Tenant credential
Required scopes:
quotes.read, customers.read, garments.read, decorations.read.Authorizations
tenantApiKeypartnerApiKey & partnerApiSecret & partnerBearer
Tenant credential. This is sufficient by itself.
Headers
Tenant credential: optional and, when sent, must equal the shop bound to the key. Partner credential: required; it selects an organisation the user previously authorised.
Path Parameters
UUID.
Example:
"11111111-2222-3333-4444-555555555555"
Was this page helpful?

